Больше нет обновлений для Google Chrome 32-разрядных

106

Я использую 32-разрядную версию Google Chrome 48.0. Сегодня, когда я запустил Google Chrome, я получил это сообщение:

This computer will soon stop receiving Google Chrome updates because
this Linux system will no longer be supported

Я думал, что Ubuntu 14.04 поддерживается в течение пяти лет, что здесь происходит?

И на 64-битном Ubuntu я получаю сообщение об ошибке от диспетчера обновлений и apt-get update :

Failed to fetch http://dl.google.com/linux/chrome/deb/dists/stable/Release 
Unable to find expected entry 'main/binary-i386/Packages' in Release file
(Wrong sources.list entry or malformed file)  
Some index files failed to download.  
They have been ignored, or old ones used instead.  
    
задан Parto 22.01.2016 в 06:26
источник

7 ответов

126

Важная информация о том, как установить Chrome в Ubuntu 16.04 и 17.04 внизу!

Это сообщение действительно только для 32-битных систем Linux, 64-разрядные системы, конечно же, будут поддерживаться. Когда у вас установлена 32-разрядная версия Ubuntu, Google Chrome не будет получать обновления, начиная с марта 2016 года - это уже было объявлено Google еще 1 декабря 2015 года.

Google: мы прекратим поддержку Google Chrome на 32-битном Linux, Ubuntu Precise (12.04) ...

Если вы хотите получать обновления Chrome, вы должны перейти на 64-разрядную версию Ubuntu. Ubuntu 14.04.3 LTS и Ubuntu 15.10 рекомендуется загрузить в 64-битном вкусе. Следующий выпуск Ubuntu LTS 16.04 Xenial Xerus выйдет в апреле 2016 года, установите его в 64 бит.

В период с марта по апрель вы можете использовать предварительно установленный веб-браузер Firefox . Кроме того, вы можете установить Chrome-браузер или epiphany-browser из репозиториев Ubuntu. Или вы можете установить 64-битную версию Ubuntu 14.04, но стоит ли этого? ... вы решаете ...

Пятилетняя поддержка выпусков Ubuntu LTS охватывает систему, включающую официальные репозитории. Google Chrome не доступен в официальных репозиториях Ubuntu , и именно по этой причине не существует пятилетней поддержки LTS для Chrome, предоставляемой разработчиками Canonical / Ubuntu.

Обновить информацию 2016-03-03: Google удалил 32-битную версию из своего репозитория!

Как вы можете видеть на веб-сайте Google Chrome , нет 32-разрядной версии Linux предлагается больше.

Запуск sudo apt-get update дает следующую ошибку:

Failed to fetch http://dl.google.com/linux/chrome/deb/dists/stable/Release 
Unable to find expected entry 'main/binary-i386/Packages' in Release file
(Wrong sources.list entry or malformed file)  
Some index files failed to download.  
They have been ignored, or old ones used instead.  

В качестве обходного решения установите репозитории специально для 64 бит:

sudo sed -i -e 's/deb http/deb [arch=amd64] http/' "/etc/apt/sources.list.d/google-chrome.list" "/opt/google/chrome/cron/google-chrome"

Ссылка: Исправление «Не удалось получить» хранилище Google Chrome

Обновить информацию 2016-03-09: Google, похоже, исправил проблему в версии 49.0.2623.87!

% файл co_de% теперь имеет соответствующие записи в архитектуре:

# sources.list setting for google-chrome updates.
REPOCONFIG="deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main"
REPOCONFIGREGEX="deb (\[arch=[^]]*\bamd64\b[^]]*\][[:space:]]*)?https?://dl.google.com/linux/chrome/deb/ stable main"

% файл co_de% показывает эту соответствующую запись в архитектуре:

### THIS FILE IS AUTOMATICALLY CONFIGURED ###
# You may comment out this entry, but any other modifications may be lost.
deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main

Обновить информацию 2016-04-21: Как установить браузер Google Chrome в Ubuntu 16.04

В настоящее время существует проблема с установкой Google Chrome при загрузке с веб-сайта Google. При нажатии на файл /opt/google/chrome/cron/google-chrome открывается программное обеспечение Ubuntu, но при нажатии на Install ничего не происходит. Установите Google Chrome должным образом - откройте терминал и выполните следующие команды:

echo "deb http://dl.google.com/linux/chrome/deb/ stable main" | sudo tee /etc/apt/sources.list.d/google-chrome.list  
wget -q -O - https://dl.google.com/linux/linux_signing_key.pub | sudo apt-key add -  
sudo apt-get update
sudo apt-get install google-chrome-stable

При обновлении репозиториев возникает небольшая проблема с «слабой сигнатурой», но ее можно игнорировать:

W: http://dl.google.com/linux/chrome/deb/dists/stable/Release.gpg: Signature by key 4CCA1EAF950CEE4AB83976DCA040830F7FAC5991 uses weak digest algorithm (SHA1)  

Обновить информацию 2017-04-13: Как установить браузер Google Chrome в Ubuntu 17.04

Команды, приведенные выше для Ubuntu 16.04, остаются в силе и наилучшим рабочим решением для успешной установки Google Chrome. Примечание: вместо /etc/apt/sources.list.d/google-chrome.list можно использовать команду .deb .

    
ответ дан cl-netbox 22.01.2016 в 10:23
источник
29

Что происходит, так это то, что слово «поддерживается» в этом сообщении не означает, что вы думаете, что это значит. Когда Google говорит, что «эта система больше не будет поддерживаться», они говорят, что «мы перестанем предоставлять обновление Chrome для этой системы». С другой стороны, когда Canonical говорит, что «Ubuntu 14.04 будет поддерживаться в течение пяти лет», то, что они говорят, это «пакеты в официальных хранилищах будут получать обновления в течение пяти лет». Поскольку пакеты Chrome не находятся в официальных репозиториях Ubuntu, между ними нет противоречия.

    
ответ дан fkraiem 22.01.2016 в 10:57
20

EDIT: Похоже, Google добавил правильные изменения в обновления. Таким образом, просто фиксируя строку репозитория, после этого выполнение обновления должно быть хорошим с этого момента.

Google остановил поддержку 32-битного Chrome для Linux. Интересно, что на странице Google Chrome download у них все еще есть ссылка на 32-битную версию.

Чтобы исправить это, внесите следующие изменения:

(Необязательно) Сначала удалите Google Chrome и файл репозитория: Не беспокойтесь, ваши настройки должны быть в безопасности.

sudo apt-get remove google-chrome-stable
sudo rm /etc/apt/sources.list.d/google-chrome.list*

Затем обновите систему:

sudo apt-get update

Затем исправьте файл репозитория Google Chrome следующими командами:

Добавить ключ: Только если это первая установка.

wget -q -O - https://dl-ssl.google.com/linux/linux_signing_key.pub | sudo apt-key add -

Затем добавьте изменения в репозиторий:

sudo sh -c 'echo "deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main" > /etc/apt/sources.list.d/google-chrome.list'

Если Google Chrome уже установлен:

sudo apt-get update
sudo apt-get upgrade

Если он не установлен:

sudo apt-get update
sudo apt-get install google-chrome-stable

Надеюсь, это поможет!

    
ответ дан Terrance 06.03.2016 в 03:58
13

Переключитесь на Chromium - он практически идентичен (он даже позволяет вам войти в Google так же, как Chrome), полностью открытым исходным кодом и предоставленными репозиториями Ubuntu.

Для поддержки Flash с помощью Chromium следуйте этим инструкциям.

    
ответ дан Keith 22.01.2016 в 09:20
6

Прочитайте Ссылка

Оттуда:

To provide the best experience for the most-used Linux versions, we will end support for Google Chrome on 32-bit Linux, Ubuntu Precise (12.04), and Debian 7 (wheezy) in early March, 2016. Chrome will continue to function on these platforms but will no longer receive updates and security fixes.

We intend to continue supporting the 32-bit build configurations on Linux to support building Chromium. If you are using Precise, we’d recommend that you to upgrade to Trusty.

    
ответ дан DK Bose 22.01.2016 в 10:22
4

В 64-битном Ubuntu введите следующие команды:

sudo sed -i -e 's/deb http/deb [arch=amd64] http/' "/etc/apt/sources.list.d/google-chrome.list"

и

sudo sed -i -e 's/deb http/deb [arch=amd64] http/' "/opt/google/chrome/cron/google-chrome"

Пакет обновления: sudo apt-get update

Согласно webupd8 В 64-разрядной ОС вам нужно для редактирования следующих двух файлов:

/etc/apt/sources.list.d/google-chrome.list

Измените строку # 3:

deb http://dl.google.com/linux/chrome/deb/ stable main

в

deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main

Изменить /opt/google/chrome/cron/google-chrome

Измените REPOCONFIG и SSLREPOCONFIG:

REPOCONFIG="deb http://dl.google.com/linux/chrome/deb/ stable main"
SSLREPOCONFIG="deb https://dl.google.com/linux/chrome/deb/ stable main"

To

REPOCONFIG="deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main"
SSLREPOCONFIG="deb [arch=amd64] https://dl.google.com/linux/chrome/deb/ stable main"

Обновить август 3,2016 :

Чтобы установить последнюю версию Google chrome 50 (64 бит) на Ubuntu 16.04 LTS через PPA с хорошими сигнатурами:

Загрузите открытый ключ Google:

wget -q -O - https://dl-ssl.google.com/linux/linux_signing_key.pub | sudo apt-key add -

Добавить репозиторий Google Chrome:

sudo sh -c 'echo "deb http://dl.google.com/linux/chrome/deb/ stable main" > /etc/apt/sources.list.d/google.list'

Обновление репозитория:

sudo apt update

или

sudo apt-get update

Установите Google Chrome:

sudo apt install google-chrome-stable

или

sudo apt-get install google-chrome-stable
    
ответ дан GAD3R 05.03.2016 в 14:31
1

В соответствии с ссылкой выполните следующие действия: командной строки:

sudo sed -i -e 's/deb http/deb [arch=amd64] http/' "/etc/apt/sources.list.d/google-chrome.list"

sudo sed -i -e 's/deb http/deb [arch=amd64] http/' "/opt/google/chrome/cron/google-chrome"

Обратите внимание, что для источника, указанного выше, «этот файл изменяется в каждом обновлении Google Chrome, и похоже, что этого не происходит (изменение / opt / google / chrome / cron / google-chrome или / etc / default / google -хрома не влияет на это), пока Google не изменит это в своем пакете, вам необходимо применить исправление выше после каждого обновления Google Chrome .... Обходным решением было бы сделать файл .list неизменным, чтобы он мог не изменяйтесь ни с помощью обновлений Google Chrome, используя «sudo chattr + i /etc/apt/sources.list.d/google-chrome.list» (который можно изменить с помощью: «sudo chattr -i / etc / apt /sources.list.d/google-chrome.list "), но это не идеально, и вы должны изменить этот файл, как только Google исправит это с их конца."

    
ответ дан m2web 09.03.2016 в 09:54